# Uses of Interface
org.eclipse.mat.query.IResultPie

Packages that use IResultPie
Package
Description
org.eclipse.mat.impl.chart
Builds pie charts using BIRT, not an Application Programming Interface (API).
org.eclipse.mat.inspections
These are general queries.
org.eclipse.mat.snapshot.query
Utilities to develop heap dump queries.

## Uses of IResultPie in org.eclipse.mat.impl.chart

Methods in org.eclipse.mat.impl.chart with parameters of type IResultPie
Modifier and Type
Method
Description
`static final org.eclipse.birt.chart.model.Chart`
ChartBuilder.`create(IResultPie pie, boolean isInteractive, org.eclipse.birt.chart.model.attribute.ColorDefinition background, org.eclipse.birt.chart.model.attribute.ColorDefinition foreground)`

## Uses of IResultPie in org.eclipse.mat.inspections

Methods in org.eclipse.mat.inspections that return IResultPie
Modifier and Type
Method
Description
`IResultPie`
BiggestObjectsPieQuery.`execute(IProgressListener listener)`

## Uses of IResultPie in org.eclipse.mat.snapshot.query

Methods in org.eclipse.mat.snapshot.query that return IResultPie
Modifier and Type
Method
Description
`IResultPie`
PieFactory.`build()`
Create and return the pie result object.